package com.ruoyi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.VipUser;

/**
 * viplistService接口
 * 
 * @author ruoyi
 * @date 2023-05-24
 */
public interface IVipUserService extends IService<VipUser>
{
    /**
     * 查询viplist
     * 
     * @param id viplist主键
     * @return viplist
     */
    public VipUser selectVipUserById(Long id);

    /**
     * 查询viplist列表
     * 
     * @param vipUser viplist
     * @return viplist集合
     */
    public List<VipUser> selectVipUserList(VipUser vipUser);

    /**
     * 新增viplist
     * 
     * @param vipUser viplist
     * @return 结果
     */
    public int insertVipUser(VipUser vipUser);

    /**
     * 修改viplist
     * 
     * @param vipUser viplist
     * @return 结果
     */
    public int updateVipUser(VipUser vipUser);

    /**
     * 批量删除viplist
     * 
     * @param ids 需要删除的viplist主键集合
     * @return 结果
     */
    public int deleteVipUserByIds(Long[] ids);

    /**
     * 删除viplist信息
     * 
     * @param id viplist主键
     * @return 结果
     */
    public int deleteVipUserById(Long id);
}
